Subject: Re: bug#37957: BibTeX dialect not set if local variables disabled

From: Richard Copley <[email-masked]>
Date: Wed, 30 Oct 2019 16:32:30 +0000

On Tue, 29 Oct 2019 at 01:52, Roland Winkler <[email-masked]> wrote:
> On Mon Oct 28 2019 Lars Ingebrigtsen wrote:
> > Do you have an example .bib file that can be used to reproduce this bug?
>
> I can, indeed, reproduce this with `emacs -Q', setting
> enable-local-variables to nil and then loading any BibTeX file.
>
> Yet it is not clear to me what is the proper solution for this.
>
> Currently, bibtex-mode makes bibtex-set-dialect an element of
> hack-local-variables-hook.  This hook is called only if
> enable-local-variables is non-nil.  Of course, bibtex-mode could
> call bibtex-set-dialect directly if enable-local-variables is nil.
> Yet I guess that enable-local-variables being nil may break more
> things if hack-local-variables-hook is not called.

Did you have something in mind? I don't see how it might break anything for
BibTeX mode. If it breaks something elsewhere, that is a separate bug.

> If nothing else, we could mention in the docstring of
> hack-local-variables-hook that this hook is not called if
> enable-local-variables is nil.

Perhaps, but it is clear from the existing docstring ("[...] run after
processing a file’s local variables specs"), in my opinion.